Bug 262061 - me03:Year should be displayed as '2009' instead of '2,009'
Summary: me03:Year should be displayed as '2009' instead of '2,009'
Status: VERIFIED FIXED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-04 12:33 UTC by swathi
Modified: 2011-05-23 16:11 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test data (15.00 KB, application/vnd.ms-excel)
2011-01-04 12:33 UTC, swathi
Details
Screenshot in MS Excel (95.35 KB, image/x-png)
2011-01-04 12:33 UTC, swathi
Details
Screenshot in Kspread (137.39 KB, image/x-png)
2011-01-04 12:39 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-01-04 12:33:20 UTC
Created attachment 55547 [details]
Test data

Version:git commit29e0668f8e289914919ebd839229a4bc74b59e1b
       (using KDE    4.4.3)                
     OS:Kubuntu 10.04

Test data is in MS Excel 2003 format,which has year in it.

Actual outcome:
Year is displaying as 2,009 instead of 2009.

Expected outcome:
Year  should be displayed as 2009.
Comment 1 swathi 2011-01-04 12:33:54 UTC
Created attachment 55548 [details]
Screenshot in MS Excel
Comment 2 swathi 2011-01-04 12:39:40 UTC
Created attachment 55549 [details]
Screenshot in Kspread
Comment 3 Marijn Kruisselbrink 2011-03-28 09:33:17 UTC
Git commit a3c88bb415284afdc3753f3fd60f47f333ccb1da by Marijn Kruisselbrink.
Committed on 28/03/2011 at 09:05.
Pushed by mkruisselbrink into branch 'master'.

add support for number:grouping attribute
BUG: 262061

M  +32   -19   libs/odf/KoOdfNumberStyles.cpp     
M  +3    -2    libs/odf/KoOdfNumberStyles.h     
M  +34   -9    tables/Style.cpp     
M  +7    -3    tables/Style.h     
M  +18   -7    tables/ValueFormatter.cpp     
M  +7    -3    tables/ValueFormatter.h     
M  +13   -4    tables/tests/TestValueFormatter.cpp     
M  +2    -1    tables/ui/CellView.cpp     

http://commits.kde.org/calligra/a3c88bb415284afdc3753f3fd60f47f333ccb1da
Comment 4 swathi 2011-05-23 16:11:53 UTC
Verified in 36a52869a926d01ad16593d3e8c7b7554765bec7.